Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags.validators
Class ValidatableTagAdapter

    java.lang.Object
      weblogicx.jsp.tags.validators.ValidatableAdapter
          weblogicx.jsp.tags.validators.ValidatableTagAdapter

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, Validatable

Direct Known Subclasses:
  CustomValidator

    public abstract class ValidatableTagAdapter

extends ValidatableAdapter
implements BodyTag

See Also:
  Serialized Form

Field Summary
`protected BodyContent` | `bodyContent`
`protected PageContext` | `pageContext`
`protected Tag` | `parent`

Fields inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`errorMessage, fieldToValidate, isValid`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface weblogicx.jsp.tags.validators.Validatable
`ENCODED_SEPERATOR, SEPERATOR`

Constructor Summary
`ValidatableTagAdapter()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`String` | `getHiddenField()`
`Tag` | `getParent()`
`void` | `release()`
`void` | `setBodyContent(BodyContent b)`
`void` | `setPageContext(PageContext pc)`
`void` | `setParent(Tag t)`
`abstract boolean` | `userExit()` This acts as an User Exit...

Methods inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`decodeHiddenField, defaultDecodeHiddenField, defaultWriteHiddenField, getErrorMessage, getFieldToValidate, isValid, setErrorMessage, setFieldToValidate, setIsValid, validate, writeHiddenField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected Tag parent

### pageContext

    protected PageContext pageContext

### bodyContent

    protected BodyContent bodyContent

Constructor Detail

### ValidatableTagAdapter

    public ValidatableTagAdapter()

Method Detail

### setPageContext

    public void setPageContext(PageContext pc)

  Specified by:
    `setPageContext` in interface `Tag`

### setParent

    public void setParent(Tag t)

  Specified by:
    `setParent` in interface `Tag`

### getParent

    public Tag getParent()

  Specified by:
    `getParent` in interface `Tag`

### setBodyContent

    public void setBodyContent(BodyContent b)

  Specified by:
    `setBodyContent` in interface `BodyTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Throws:
    `JspException`

### doInitBody

    public void doInitBody()

  Specified by:
    `doInitBody` in interface `BodyTag`

### doAfterBody

    public int doAfterBody()

  Specified by:
    `doAfterBody` in interface `IterationTag`

### doEndTag

    public int doEndTag()
                 throws JspException

  Specified by:
    `doEndTag` in interface `Tag`
  Throws:
    `JspException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`

### getHiddenField

    public String getHiddenField()
                          throws JspException

  Throws:
    `JspException`

### userExit

    public abstract boolean userExit()
                              throws JspException

  This acts as an User Exit... This Class guarantees that this method will be called in the doStartTag method.

  Returns:
    boolean which says whether the user exit was successful or not. true --> EVAL_BODY_TAG false --> SKIP_BODY
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD